Table of Contents

## Name

XClearArea, XClearWindow - clear area or window

## Syntax

int XClearArea(Display *display, Window w, int x,
  int y, unsigned width, unsigned height, Bool exposures);
int XClearWindow(Display *display, Window w);

## Arguments

display
  Specifies the connection to the X server.
exposures
  Specifies a Boolean value that indicates if Expose events are to be generated.
w
  Specifies the window.
width
height
  Specify the width and height, which are the dimensions of the rectangle. and specify the upper-left corner of the rectangle
x
y
  Specify the x and y coordinates, which are relative to the origin of the window.

## Description

The XClearArea function paints a rectangular area in the specified window according to the specified dimensions with the window's background pixel or pixmap. The subwindow-mode effectively is ClipByChildren. If width is zero, it is replaced with the current width of the window minus x. If height is zero, it is replaced with the current height of the window minus y. If the window has a defined background tile, the rectangle clipped by any children is filled with this tile. If the window has background None, the contents of the window are not changed. In either case, if exposures is True, one or more Expose events are generated for regions of the rectangle that are either visible or are being retained in a backing store. If you specify a window whose class is InputOnly, a BadMatch error results.

XClearArea can generate BadMatch, BadValue, and BadWindow errors.

The XClearWindow function clears the entire area in the specified window and is equivalent to XClearArea (display, w, 0, 0, 0, 0, False). If the window has a defined background tile, the rectangle is tiled with a plane-mask of all ones and GXcopy function. If the window has background None, the contents of the window are not changed. If you specify a window whose class is InputOnly, a BadMatch error results.

XClearWindow can generate BadMatch and BadWindow errors.

## Diagnostics

BadMatch
  An InputOnly window is used as a Drawable.
BadValue
  Some numeric value falls outside the range of values accepted by the request. Unless a specific range is specified for an argument, the full range defined by the argument's type is accepted. Any argument defined as a set of alternatives can generate this error.
BadWindow
  A value for a Window argument does not name a defined Window.

## See Also

XCopyArea(3X11)
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- Diagnostics
- See Also